package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author gxb
 * @description TODO
 * @date 2023-12-22 20:28
 */
@Data
public class Manage {
   // 管理员ID
    private Integer manageId;
    // 案件ID
    private Integer caseId;
    // 问题ID
    private Integer id;
    // 案件名称
    private String caseName;
    // 案件时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date caseTime;
    // 案件信息
    private String caseMessage;
    // 用户名
    private String username;
}
