package com.bwie.manage.controller;

import com.bwie.common.domain.Case;
import com.bwie.common.domain.Manage;
import com.bwie.common.result.Result;
import com.bwie.manage.service.ManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class ManageController {
    @Autowired
    private ManageService manageService;

    @PostMapping("/list")
    public Result list(){
        return manageService.list();
    }

    @PostMapping("/add")
    public Result add(@RequestBody Manage manage){
        return manageService.add(manage);
    }
    @PostMapping("/upd")
    public Result upd(@RequestBody Manage manage){
        return manageService.upd(manage);
    }

    @PostMapping("/del")
    public Result del(@RequestParam Integer manageId){
        return manageService.del(manageId);
    }
}
